/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package storage.impl.database;

import database.ConnectionFactory;
import domain.Manufacturer;
import domain.MeasurementUnit;
import domain.Product;
import java.math.BigDecimal;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.ArrayList;
import java.util.List;
import java.util.logging.Level;
import java.util.logging.Logger;
import storage.StorageProduct;

/**
 *
 * @author student1
 */
public class StorageDatabaseProduct implements StorageProduct{

    @Override
    public void add(Product product) throws Exception  {
        try {
            String upit="INSERT INTO Product (id, name, description, price, manufacturer, measurementUnit) VALUES (?,?,?,?,?,?)";
            System.out.println(upit);
            PreparedStatement statement=ConnectionFactory.getInstance().getConnection().prepareStatement(upit);
            statement.setLong(1, product.getId());
            statement.setString(2, product.getName());
            statement.setString(3, product.getDescription());
            statement.setBigDecimal(4, product.getPrice());
            statement.setLong(5, product.getManufacturer().getId());
            statement.setString(6, product.getMeasurementUnit()+"");
            
            statement.executeUpdate();
            statement.close();
            System.out.println("Uspesno su procitani Producti iz baze!");
        } catch (Exception ex) {
            ex.printStackTrace();
            throw new Exception("Greska prilikom kreiranja proizvoda u bazi!\n"+ex.getMessage());
        }
    }

    @Override
    public List<Product> getAll() throws Exception {
        List<Product> products=new ArrayList<>();
        try {
            
            String upit="SELECT p.id AS sifraProizvoda, p.name AS nazivProizvoda, p.description, p.price, m.id AS sifraProizvodjaca, m.name AS nazivProizvodjaca, p.measurementUnit FROM Product p INNER JOIN Manufacturer m ON (p.manufacturer=m.id)";
            Statement statement=ConnectionFactory.getInstance().getConnection().createStatement();
            ResultSet rs=statement.executeQuery(upit);
            
            while(rs.next()){
                Product product=new Product();
                product.setId(rs.getLong("sifraProizvoda"));
                product.setName(rs.getString("nazivProizvoda"));
                product.setDescription(rs.getString("description"));
                product.setPrice(rs.getBigDecimal("price"));
                product.setMeasurementUnit(MeasurementUnit.valueOf(rs.getString("measurementUnit")));
                
                Manufacturer manufacturer=new Manufacturer();
                manufacturer.setId(rs.getLong("sifraProizvodjaca"));
                manufacturer.setName(rs.getString("nazivProizvodjaca"));
                
                product.setManufacturer(manufacturer);
                
                products.add(product);
            }
            rs.close();
            statement.close();
            
        } catch (SQLException ex) {
            ex.printStackTrace();
            throw new Exception("Greska prilikom citanja Producta!\n" + ex.getMessage());
        }
        return products;
    }
    
}
